function dst = dNEE(p)

global Ta Prod EVI PAR NEE

lambda = p(1);
Topt   = p(2);
PAR0   = p(3);
alpha  = p(4);
beta   = p(5);
Tlow   = p(6);

Tmin =   0;
Tmax =  40;

Tscl   = (max(Tmin,Ta) - Tmin) .* (Ta - Tmax);
Tscl   = Tscl ./ ( (Ta - Tmin) .* (Ta - Tmax) - (Ta - Topt).^2 );

NEEhat = -lambda*Tscl.*Prod.*EVI.*PAR./(1+PAR./PAR0);
NEEhat = NEEhat + alpha*max(Tlow,Ta) + beta;

dst    = NEE-NEEhat;
dst    = dst'*dst;
